# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/jfreechart/1.0.9-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

# If you want the demo to be built,
# give rpmbuild option '--with demo'

%define with_demo %{?_with_demo:1}%{!?_with_demo:0}
%define without_demo %{!?_with_demo:1}%{?_with_demo:0}

%define	section		free

Name:			jfreechart
Version:		1.0.9
Release:		1jpp.ep1.2%{?dist}.1
Epoch:			0
Summary:		Charts Generation library
License:		LGPL
URL:			http://www.jfree.org/jfreechart/
Source0:		%{name}-%{version}.tar.gz
#Source from http://www.jfree.org/jfreechart/download.html
Patch0:			%{name}-%{version}-build_xml.patch
Source1:		%{name}-component-info.xml
Group:			Development/Libraries/Java
#Dependencies included in zip
Requires:		jcommon >= 1.0.12
BuildRequires:		ant
BuildRequires:		jcommon >= 1.0.12
BuildRequires:		jpackage-utils >= 0:1.5
BuildRequires:		junit
BuildRequires:		servletapi5
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
Free Java class library for generating charts.

%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%if %{with_demo}
%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}, jcommon, servlet

%description demo
Demos for %{name}.
%endif

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

%prep
%setup -q
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;

%if %{without_demo}
%patch -p1
%endif

tag=`echo %{version}-brew`
sed -i "s/@VERSION@/$tag/g" %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
export OPT_JAR_LIST="servletapi5"
ant -f ant/build.xml -Djunit.jar=%{_javadir}/junit.jar -Djcommon.jar=%{_javadir}/jcommon.jar -Dservlet.jar=%{_javadir}/servletapi5.jar -Dbuildstable=true -Dproject.outdir=. -Dbasedir=.

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
%if %{with_demo}
install -m 644 %{name}-%{version}-demo.jar $RPM_BUILD_ROOT%{_javadir}
%endif
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p licence-LGPL.txt README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp $RPM_BUILD_ROOT%{_javadir}/jfreechart.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%if %{with_demo}
%files demo
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}-demo.jar
%{_javadir}/%{name}-demo.jar
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}


%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Thu Jan 31 2008 Fernando Nasser <fnasser@redhat.com> - 0:1.0.9-1jpp.ep1.2.1
- Use servletapi5 so we can build with Java 1.4

* Fri Jan 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:1.0.9-1jpp.ep1.2
- Fixed Typo in component-info.xml

* Fri Jan 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:1.0.9-1jpp.ep1.1
- Upgrade to 1.0.9

* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.9.21-2jpp.ep1.1.2
- Rebuild

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.9.21-2jpp.ep1.1.1
- Rebuild with JDK 1.4

* Tue Jul 10 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.9.21-2jpp.ep1.1
- Use specific version of the servlet api

* Sat Feb 17 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:0.9.21-2jpp.el4ep1.1
- Add repolib support

* Fri Apr 21 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.9.21-2jpp_1rh
- Merge with upstream for upgrade
- Make demo subpackage optional

* Fri Apr 21 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.9.21-2jpp
- First JPP 1.7 build

* Tue Sep 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.9.21-1jpp
- Upgrade to 0.9.21 

* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> - 0:0.9.20-1jpp_1rh
- First Red Hat build

* Thu Dec 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9.20-1jpp
- Upgrade to 0.9.20 (last version with -demo included, for jboss32)

* Sun Nov 14 2004 Ville Skyttä <scop at jpackage.org> - 0:0.9.16-3jpp
- Remove bogus batik dependency.

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0.9.16-2jpp
- Rebuild with ant-1.6.2

* Tue Feb 17 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0.9.16-1jpp
- 0.9.16

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.8-1jpp
- 0.9.8
- update for JPackage 1.5

* Fri Mar 11 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.9.6-2jpp
- update spec to respect JPP 1.5 policy

* Tue Mar 08 2003 Henri Gomez <hgomez@users.sourceforge.net> 0.9.6-1jpp
- 0.9.6
- requires jcommon 0.7.2 min
- no more sub package test

* Mon Oct 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 0.9.4-1jpp
- Initial release
